Loading...

Check Object Availability

Description

This API allows you to check if a particular object is stored in a bucket. The Bucket is referred by its unique bucket name, and the required object is referred using its name.

If Versioning is enabled, then the required object can also be referred to using its unique version ID.

Request Details

Request URL

HEAD

{api-domain}/baas/v1/project/{project_id}/bucket/objects

copy

project_id
Numerical
The unique ID of the project

Query Parameters

bucket_name Alphanumeric
mandatory
object_key String
mandatory
Will contain the complete name of the object.
version_id String
optional
This is an ID generated by Stratus when Versioning is enabled. You can use version_id to refer to the required object.

Request Headers

Authorization: Zoho-oauthtoken {oauth_token}

Optional Headers

CATALYST-ORG: {org_id}

Environment: Development

Scope

ZohoCatalyst.buckets.objects.READ

Response Details

On successful execution, the response will contain the 200 status code, to indicate the object is present in the bucket. If the object is incorrect or not present in the bucket, you will get a 404 status code as your response.